io.agora.rtc

## Class LocalVideoTrackStats

- java.lang.Object
- - io.agora.rtc.LocalVideoTrackStats

-     public class LocalVideoTrackStats
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `private long` | `bytesMajorStream` The bytes of the major stream.
    `private long` | `bytesMinorStream` The bytes of the minor stream.
    `private int` | `captureFrameRate` The capture frame rate (fps).
    `private int` | `captureHeight` The capture frame height (pixel).
    `private int` | `captureWidth` The capture frame width (pixel).
    `private int` | `encodeFrameRate` The encoder output frame rate (fps).
    `private int` | `encoderType` The encoder type.
    `private int` | `framesEncoded` The number of frames encoded.
    `private int` | `height` The frame height (pixel).
    `private int` | `inputFrameRate` The input frame rate (fps).
    `private int` | `mediaBitrateBps` The frame rate excluding FEC.
    `private long` | `numberOfStreams` The number of streams.
    `private int` | `qualityAdaptIndication` Quality change of the local video in terms of target frame rate and target bit rate in this reported interval.
    `private int` | `regulatedCaptureFrameRate` The regulated capture frame rate (fps) according to video encoder configuration.
    `private int` | `regulatedCaptureHeight` The regulated frame height (pixel) of capture frame height according to video encoder configuration.
    `private int` | `regulatedCaptureWidth` The regulated frame width (pixel) of capture frame width according to video encoder configuration.
    `private int` | `renderFrameRate` The render frame rate (fps).
    `private int` | `ssrcMajorStream` The synchronization source (SSRC) of the major stream.
    `private int` | `ssrcMinorStream` The synchronization source (SSRC) of the minor stream.
    `private int` | `targetMediaBitrateBps` The target bitrate (bps).
    `private int` | `totalBitrateBps` The total frame rate including FEC.
    `private int` | `uplinkCostTimeMs` The average time diff between frame captured and framed encoded.
    `private int` | `width` The frame width (pixel).

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `LocalVideoTrackStats()`
    `LocalVideoTrackStats(long numberOfStreams, long bytesMajorStream, long bytesMinorStream, int framesEncoded, int ssrcMajorStream, int ssrcMinorStream, int captureFrameRate, int regulatedCaptureFrameRate, int inputFrameRate, int encodeFrameRate, int renderFrameRate, int targetMediaBitrateBps, int mediaBitrateBps, int totalBitrateBps, int captureWidth, int captureHeight, int regulatedCaptureWidth, int regulatedCaptureHeight, int width, int height, int encoderType, int uplinkCostTimeMs, int qualityAdaptIndication)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `long` | `getBytesMajorStream()`
    `long` | `getBytesMinorStream()`
    `int` | `getCaptureFrameRate()`
    `int` | `getCaptureHeight()`
    `int` | `getCaptureWidth()`
    `int` | `getEncodeFrameRate()`
    `int` | `getEncoderType()`
    `int` | `getFramesEncoded()`
    `int` | `getHeight()`
    `int` | `getInputFrameRate()`
    `int` | `getMediaBitrateBps()`
    `long` | `getNumberOfStreams()`
    `int` | `getQualityAdaptIndication()`
    `int` | `getRegulatedCaptureFrameRate()`
    `int` | `getRegulatedCaptureHeight()`
    `int` | `getRegulatedCaptureWidth()`
    `int` | `getRenderFrameRate()`
    `int` | `getSsrcMajorStream()`
    `int` | `getSsrcMinorStream()`
    `int` | `getTargetMediaBitrateBps()`
    `int` | `getTotalBitrateBps()`
    `int` | `getUplinkCostTimeMs()`
    `int` | `getWidth()`
    `void` | `setBytesMajorStream(long bytesMajorStream)`
    `void` | `setBytesMinorStream(long bytesMinorStream)`
    `void` | `setCaptureFrameRate(int captureFrameRate)`
    `void` | `setCaptureHeight(int captureHeight)`
    `void` | `setCaptureWidth(int captureWidth)`
    `void` | `setEncodeFrameRate(int encodeFrameRate)`
    `void` | `setEncoderType(int encoderType)`
    `void` | `setFramesEncoded(int framesEncoded)`
    `void` | `setHeight(int height)`
    `void` | `setInputFrameRate(int inputFrameRate)`
    `void` | `setMediaBitrateBps(int mediaBitrateBps)`
    `void` | `setNumberOfStreams(long numberOfStreams)`
    `void` | `setQualityAdaptIndication(int qualityAdaptIndication)`
    `void` | `setRegulatedCaptureFrameRate(int regulatedCaptureFrameRate)`
    `void` | `setRegulatedCaptureHeight(int regulatedCaptureHeight)`
    `void` | `setRegulatedCaptureWidth(int regulatedCaptureWidth)`
    `void` | `setRenderFrameRate(int renderFrameRate)`
    `void` | `setSsrcMajorStream(int ssrcMajorStream)`
    `void` | `setSsrcMinorStream(int ssrcMinorStream)`
    `void` | `setTargetMediaBitrateBps(int targetMediaBitrateBps)`
    `void` | `setTotalBitrateBps(int totalBitrateBps)`
    `void` | `setUplinkCostTimeMs(int uplinkCostTimeMs)`
    `void` | `setWidth(int width)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### numberOfStreams

          private long numberOfStreams

      The number of streams.

    - #### bytesMajorStream

          private long bytesMajorStream

      The bytes of the major stream.

    - #### bytesMinorStream

          private long bytesMinorStream

      The bytes of the minor stream.

    - #### framesEncoded

          private int framesEncoded

      The number of frames encoded.

    - #### ssrcMajorStream

          private int ssrcMajorStream

      The synchronization source (SSRC) of the major stream.

    - #### ssrcMinorStream

          private int ssrcMinorStream

      The synchronization source (SSRC) of the minor stream.

    - #### captureFrameRate

          private int captureFrameRate

      The capture frame rate (fps).

    - #### regulatedCaptureFrameRate

          private int regulatedCaptureFrameRate

      The regulated capture frame rate (fps) according to video encoder configuration.

    - #### inputFrameRate

          private int inputFrameRate

      The input frame rate (fps).

    - #### encodeFrameRate

          private int encodeFrameRate

      The encoder output frame rate (fps).

    - #### renderFrameRate

          private int renderFrameRate

      The render frame rate (fps).

    - #### targetMediaBitrateBps

          private int targetMediaBitrateBps

      The target bitrate (bps).

    - #### mediaBitrateBps

          private int mediaBitrateBps

      The frame rate excluding FEC.

    - #### totalBitrateBps

          private int totalBitrateBps

      The total frame rate including FEC.

    - #### captureWidth

          private int captureWidth

      The capture frame width (pixel).

    - #### captureHeight

          private int captureHeight

      The capture frame height (pixel).

    - #### regulatedCaptureWidth

          private int regulatedCaptureWidth

      The regulated frame width (pixel) of capture frame width according to video encoder configuration.

    - #### regulatedCaptureHeight

          private int regulatedCaptureHeight

      The regulated frame height (pixel) of capture frame height according to video encoder configuration.

    - #### width

          private int width

      The frame width (pixel).

    - #### height

          private int height

      The frame height (pixel).

    - #### encoderType

          private int encoderType

      The encoder type.

    - #### uplinkCostTimeMs

          private int uplinkCostTimeMs

      The average time diff between frame captured and framed encoded.

    - #### qualityAdaptIndication

          private int qualityAdaptIndication

      Quality change of the local video in terms of target frame rate and target bit rate in this reported interval.

  - ### Constructor Detail

    - #### LocalVideoTrackStats

          public LocalVideoTrackStats()

    - #### LocalVideoTrackStats

          public LocalVideoTrackStats(long numberOfStreams,
                                      long bytesMajorStream,
                                      long bytesMinorStream,
                                      int framesEncoded,
                                      int ssrcMajorStream,
                                      int ssrcMinorStream,
                                      int captureFrameRate,
                                      int regulatedCaptureFrameRate,
                                      int inputFrameRate,
                                      int encodeFrameRate,
                                      int renderFrameRate,
                                      int targetMediaBitrateBps,
                                      int mediaBitrateBps,
                                      int totalBitrateBps,
                                      int captureWidth,
                                      int captureHeight,
                                      int regulatedCaptureWidth,
                                      int regulatedCaptureHeight,
                                      int width,
                                      int height,
                                      int encoderType,
                                      int uplinkCostTimeMs,
                                      int qualityAdaptIndication)

  - ### Method Detail

    - #### getNumberOfStreams

          public long getNumberOfStreams()

    - #### setNumberOfStreams

          public void setNumberOfStreams(long numberOfStreams)

    - #### getBytesMajorStream

          public long getBytesMajorStream()

    - #### setBytesMajorStream

          public void setBytesMajorStream(long bytesMajorStream)

    - #### getBytesMinorStream

          public long getBytesMinorStream()

    - #### setBytesMinorStream

          public void setBytesMinorStream(long bytesMinorStream)

    - #### getFramesEncoded

          public int getFramesEncoded()

    - #### setFramesEncoded

          public void setFramesEncoded(int framesEncoded)

    - #### getSsrcMajorStream

          public int getSsrcMajorStream()

    - #### setSsrcMajorStream

          public void setSsrcMajorStream(int ssrcMajorStream)

    - #### getSsrcMinorStream

          public int getSsrcMinorStream()

    - #### setSsrcMinorStream

          public void setSsrcMinorStream(int ssrcMinorStream)

    - #### getCaptureFrameRate

          public int getCaptureFrameRate()

    - #### setCaptureFrameRate

          public void setCaptureFrameRate(int captureFrameRate)

    - #### getRegulatedCaptureFrameRate

          public int getRegulatedCaptureFrameRate()

    - #### setRegulatedCaptureFrameRate

          public void setRegulatedCaptureFrameRate(int regulatedCaptureFrameRate)

    - #### getInputFrameRate

          public int getInputFrameRate()

    - #### setInputFrameRate

          public void setInputFrameRate(int inputFrameRate)

    - #### getEncodeFrameRate

          public int getEncodeFrameRate()

    - #### setEncodeFrameRate

          public void setEncodeFrameRate(int encodeFrameRate)

    - #### getRenderFrameRate

          public int getRenderFrameRate()

    - #### setRenderFrameRate

          public void setRenderFrameRate(int renderFrameRate)

    - #### getTargetMediaBitrateBps

          public int getTargetMediaBitrateBps()

    - #### setTargetMediaBitrateBps

          public void setTargetMediaBitrateBps(int targetMediaBitrateBps)

    - #### getMediaBitrateBps

          public int getMediaBitrateBps()

    - #### setMediaBitrateBps

          public void setMediaBitrateBps(int mediaBitrateBps)

    - #### getTotalBitrateBps

          public int getTotalBitrateBps()

    - #### setTotalBitrateBps

          public void setTotalBitrateBps(int totalBitrateBps)

    - #### getCaptureWidth

          public int getCaptureWidth()

    - #### setCaptureWidth

          public void setCaptureWidth(int captureWidth)

    - #### getCaptureHeight

          public int getCaptureHeight()

    - #### setCaptureHeight

          public void setCaptureHeight(int captureHeight)

    - #### getRegulatedCaptureWidth

          public int getRegulatedCaptureWidth()

    - #### setRegulatedCaptureWidth

          public void setRegulatedCaptureWidth(int regulatedCaptureWidth)

    - #### getRegulatedCaptureHeight

          public int getRegulatedCaptureHeight()

    - #### setRegulatedCaptureHeight

          public void setRegulatedCaptureHeight(int regulatedCaptureHeight)

    - #### getWidth

          public int getWidth()

    - #### setWidth

          public void setWidth(int width)

    - #### getHeight

          public int getHeight()

    - #### setHeight

          public void setHeight(int height)

    - #### getEncoderType

          public int getEncoderType()

    - #### setEncoderType

          public void setEncoderType(int encoderType)

    - #### getUplinkCostTimeMs

          public int getUplinkCostTimeMs()

    - #### setUplinkCostTimeMs

          public void setUplinkCostTimeMs(int uplinkCostTimeMs)

    - #### getQualityAdaptIndication

          public int getQualityAdaptIndication()

    - #### setQualityAdaptIndication

          public void setQualityAdaptIndication(int qualityAdaptIndication)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`